# DAMultiplyByJacobian1WithAdifor

Applies a ADIFOR provided Jacobian function on each processor that share a DA to a vector

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAMultiplyByJacobian1WithAdifor(DA da,Vec u,Vec v,Vec f,void *w)

### Input Parameters

| da | - the DA that defines the grid
| vu | - Jacobian is computed at this point (ghosted)
| v | - product is done on this vector (ghosted)
| fu | - output vector = J(vu)*v (not ghosted)
| w | - any user data

Notes: Does NOT do ghost updates on vu and v upon entry

### See Also

DAFormFunction1()

Level:advanced
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages